For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • POSTConfigure webhook from documentation
      • POSTInfer schema from JSON payload
      • POSTToggle webhook learning mode
      • GETGet webhook field mappings
      • PUTUpdate webhook field mappings
      • GETList webhook observations
      • DELClear webhook observations
      • GETGet event routing configuration
      • PUTUpdate event routing configuration
      • GETGet webhook schema
      • POSTUpload webhook schema
      • POSTConfirm proposed schema
Dashboard
LogoLogo
Runtype APIWebhook Management

Get webhook field mappings

GET
/v1/products/:id/surfaces/:surfaceId/webhook-mappings
GET
/v1/products/:id/surfaces/:surfaceId/webhook-mappings
$curl https://api.runtype.com/v1/products/id/surfaces/surfaceId/webhook-mappings \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "capabilityId": "cap-12345",
5 "exposedName": "UserSignupWebhook",
6 "fieldMappings": [
7 {
8 "sourceField": "user_email",
9 "targetField": "emailAddress",
10 "transformation": "lowercase"
11 },
12 {
13 "sourceField": "user_name",
14 "targetField": "fullName",
15 "transformation": "trim"
16 }
17 ],
18 "id": "surfaceitem-67890"
19 }
20 ]
21}
Get field mappings for all surface items on a webhook surface.
Was this page helpful?
Previous

Update webhook field mappings

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired
Product ID
surfaceIdstringRequired
Surface ID

Response

Mappings returned
itemslist of objects

Errors

401
Unauthorized Error
404
Not Found Error